MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Functions | Variables
Registry.hxx File Reference
`#include "check.h"`
`#include "Compiler.h"`
Include dependency graph for Registry.hxx:

Go to the source code of this file.

## Functions
gcc_nonnull_all gcc_pure const StoragePlugin * | GetStoragePluginByName (const char *name)
gcc_nonnull_all gcc_malloc Storage * | CreateStorageURI (EventLoop &event_loop, const char *uri)

## Variables
const StoragePlugin *const | storage_plugins []
| nullptr terminated list of all storage plugins which were enabled at compile time. More...

## Function Documentation

gcc_nonnull_all gcc_malloc Storage* CreateStorageURI | ( | EventLoop & | event_loop,
|  | const char * | uri
| ) |  |

gcc_nonnull_all gcc_pure const StoragePlugin* GetStoragePluginByName | ( | const char * | name | ) |

## Variable Documentation

const StoragePlugin* const storage_plugins[]

nullptr terminated list of all storage plugins which were enabled at compile time.